Skip to navigation

Update a virtual cluster

Updates the definition of a virtual cluster. Include only the fields to change.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

idstringRequiredformat: "^[a-f\d]{24}$"
MongoDB ObjectId of the virtual cluster

Request

request body
payloadobjectOptional

Response

Result of updating the virtual cluster
statestringOptional
resultobjectOptional
messagestringOptional

Errors

500
Internal Server Error